@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,500;1,900&display=swap');

* {
    font-family: 'Poppins', sans-serif;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    color: azure;
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: black;
    padding: 20px;
    text-align: center;
}

.greetings {
    font-size: 6rem;
    font-weight: 900;
    display: flex;
    flex-wrap: nowrap; /* Ensure words do not wrap */
    justify-content: center;
}

.greetings > span {
    animation: glow 2.5s ease-in-out infinite;
}

.space {
    width: 20px; /* Adjust width as needed for the space */
}

@keyframes glow {
    0%, 100% {
        color: #fff;
        text-shadow: 0 0 12px #39c6d6, 0 0 50px #39c6d6, 0 0 100px #39c6d6;
    }
    10%, 90% {
        color: #111;
        text-shadow: none;
    }
}

/* Add animation delays for each span */
.greetings > span:nth-child(2) {
    animation-delay: 0.2s;
}

.greetings > span:nth-child(3) {
    animation-delay: 0.4s;
}

.greetings > span:nth-child(4) {
    animation-delay: 0.6s;
}

.greetings > span:nth-child(5) {
    animation-delay: 0.8s;
}

.greetings > span:nth-child(6) {
    animation-delay: 1s;
}

.greetings > span:nth-child(7) {
    animation-delay: 1.2s;
}

.greetings > span:nth-child(8) {
    animation-delay: 1.4s;
}

.greetings > span:nth-child(9) {
    animation-delay: 1.6s;
}

.greetings > span:nth-child(10) {
    animation-delay: 1.8s;
}

.greetings > span:nth-child(11) {
    animation-delay: 2s;
}

.greetings > span:nth-child(12) {
    animation-delay: 2.2s;
}

.greetings > span:nth-child(13) {
    animation-delay: 2.4s;
}

.greetings > span:nth-child(14) {
    animation-delay: 2.6s;
}

.greetings > span:nth-child(15) {
    animation-delay: 2.8s;
}

.description {
    font-size: 1.5rem;
    margin-bottom: 20px;
    text-align: center;
}

.button a {
    text-decoration: none;
    font-size: 1rem;
    color: #111;
    background-color: #39c6d6;
    padding: 10px 20px;
    border-radius: 5px;
}

/* Media query for tablets */
@media screen and (max-width: 768px) {
    .greetings {
        font-size: 4rem;
    }
}

/* Media query for mobile devices */
@media screen and (max-width: 574px) {
    .greetings {
        font-size: 2.5rem; /* Reduce font size for better fit */
    }
    .description {
        font-size: 1rem;
    }
    .button a {
        font-size: 0.75rem;
        padding: 8px 16px;
    }
}
